version: '3.8'

services:
  whatsapp_web:
    build: .
    container_name: wa_web_backend
    restart: unless-stopped
    ports:
      - "3000:3000"
    volumes:
      # حفظ ملفات تسجيل الدخول حتى لا تضطر لمسح الـ QR عند كل إعادة تشغيل
      - wa_sessions:/usr/src/app/.wwebjs_auth

volumes:
  wa_sessions:
